Opened 14 years ago

Closed 14 years ago

Last modified 12 years ago

#11970 closed defect (fixed)

lft: bad md5

Reported by: vinc17@… Owned by: yeled@…
Priority: High Milestone:
Component: ports Version:
Keywords: Cc: vinc17@… yeled@…
Port:

Description

prunille:~> sudo port -v upgrade lft
--->  Verifying checksum(s) for lft
--->  Checksumming lft-3.0.tar.gz
Error: Checksum (md5) mismatch for lft-3.0.tar.gz
Portfile checksum: lft-3.0.tar.gz md5 f7a13359e7fa970f5fbdea0a54418179
Distfile checksum: lft-3.0.tar.gz md5 7aa9d78757e08c47e92bac2dc43d37a9
Error: Target com.apple.checksum returned: Unable to verify file checksums

Change History (5)

comment:1 Changed 14 years ago by markd@…

Resolution: fixed
Status: newclosed

Checksum has been corrected.

comment:2 Changed 14 years ago by vinc17@…

Cc: vinc17@… added; vinc17@… removed
Resolution: fixed
Status: closedreopened

The checksum seems to have changed again:

prunille:~> sudo port -v upgrade lft
--->  Fetching lft
--->  lft-3.0.tar.gz doesn't seem to exist in /opt/local/var/db/dports/distfiles/lft
--->  Attempting to fetch lft-3.0.tar.gz from http://pwhois.org/get/
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  162k  100  162k    0     0  79059      0  0:00:02  0:00:02 --:--:-- 95974
--->  Verifying checksum(s) for lft
--->  Checksumming lft-3.0.tar.gz
Error: Checksum (md5) mismatch for lft-3.0.tar.gz
Portfile checksum: lft-3.0.tar.gz md5 1146d795f4f42bf3682163f08b08a093
Distfile checksum: lft-3.0.tar.gz md5 678c61164c16da77090c43720676c531
Error: Target com.apple.checksum returned: Unable to verify file checksums
Warning: the following items did not execute (for lft): com.apple.destroot com.apple.extract com.apple.checksum com.apple.patch com.apple.configure com.apple.build

comment:3 Changed 14 years ago by vinc17@…

The following files have changed recently:

-rw-r--r-- 1  28458 2007-05-28 13:49:43 lft_icmptrace.c
-rw-r--r-- 1  27936 2007-05-27 12:17:36 lft_btcptrace.c
-rw-r--r-- 1  95947 2007-05-27 12:17:36 lft_lib.c
-rw-r--r-- 1  14525 2007-05-25 20:57:41 lft_lib.h

Anyone knows what are these changes exactly?

comment:4 Changed 14 years ago by markd@…

Resolution: fixed
Status: reopenedclosed

Changed checksum again. I'm taking the checksum right from their website so they are definitely changing it.

comment:5 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.